package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.report.business.entity.TBExamStudent;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: TBExamStudentResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/7
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TBExamStudentResult extends TBExamStudent implements Serializable {

    @ApiModelProperty(value = "开课学院名称")
    private String teacherCollegeName;

    @ApiModelProperty(value = "开课学院编码")
    private String teacherCollegeCode;

    @ApiModelProperty(value = "考查学院名称")
    private String inspectCollegeName;

    @ApiModelProperty(value = "考查学院编码")
    private String inspectCollegeCode;

    @ApiModelProperty(value = "教师姓名")
    private String teacherName;

    @ApiModelProperty(value = "教师编码")
    private String teacherCode;

    @ApiModelProperty(value = "班级名称")
    private String clazzName;

    @ApiModelProperty(value = "班级编码")
    private String clazzCode;

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getClazzCode() {
        return clazzCode;
    }

    public void setClazzCode(String clazzCode) {
        this.clazzCode = clazzCode;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public String getInspectCollegeCode() {
        return inspectCollegeCode;
    }

    public void setInspectCollegeCode(String inspectCollegeCode) {
        this.inspectCollegeCode = inspectCollegeCode;
    }

    public String getTeacherCollegeName() {
        return teacherCollegeName;
    }

    public void setTeacherCollegeName(String teacherCollegeName) {
        this.teacherCollegeName = teacherCollegeName;
    }

    public String getTeacherCollegeCode() {
        return teacherCollegeCode;
    }

    public void setTeacherCollegeCode(String teacherCollegeCode) {
        this.teacherCollegeCode = teacherCollegeCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }
}
